summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/simple-empty.json2
-rw-r--r--test/simple1.json2
-rwxr-xr-xtest/test-simple.sh10
3 files changed, 14 insertions, 0 deletions
diff --git a/test/simple-empty.json b/test/simple-empty.json
new file mode 100644
index 0000000..2c63c08
--- /dev/null
+++ b/test/simple-empty.json
@@ -0,0 +1,2 @@
+{
+}
diff --git a/test/simple1.json b/test/simple1.json
new file mode 100644
index 0000000..2c63c08
--- /dev/null
+++ b/test/simple1.json
@@ -0,0 +1,2 @@
+{
+}
diff --git a/test/test-simple.sh b/test/test-simple.sh
new file mode 100755
index 0000000..e797dd1
--- /dev/null
+++ b/test/test-simple.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <json-file>"
+ exit 1
+fi
+
+curl -XPOST 'http://localhost:4000/public/simple' -d @$1
+
+exit 0